CGAL 6.1.2 - 2D Segment Delaunay Graphs: SegmentDelaunayGraphHierarchyVertexBase_2 Concept Reference

CGAL 6.1.2 - 2D Segment Delaunay Graphs

Loading...
Searching...
No Matches
List of all members
SegmentDelaunayGraphHierarchyVertexBase_2 Concept Reference
Reference Manual » Concepts

## Definition

The vertex of a segment Delaunay graph included in a segment Delaunay graph hierarchy has to provide some pointers to the corresponding vertices in the graphs of the next and preceding levels. Therefore, the concept `SegmentDelaunayGraphHierarchyVertexBase_2` refines the concept `SegmentDelaunayGraphVertexBase_2`, by adding two vertex handles to the corresponding vertices for the next and previous level graphs.

Refines
  `SegmentDelaunayGraphVertexBase_2`

Types

`SegmentDelaunayGraphHierarchyVertexBase_2` does not introduce any types in addition to those of `SegmentDelaunayGraphVertexBase_2`.

Creation

The `SegmentDelaunayGraphHierarchyVertexBase_2` concept does not introduce any constructors in addition to those of the `SegmentDelaunayGraphVertexBase_2` concept.

Has models
  `CGAL::Segment_Delaunay_graph_hierarchy_vertex_base_2<CGAL::Segment_Delaunay_graph_vertex_base_2<St> >`

See also
  `SegmentDelaunayGraphDataStructure_2`
  `SegmentDelaunayGraphVertexBase_2`
  `CGAL::Segment_Delaunay_graph_hierarchy_2<Gt,St,SSTag,DS>`
  `CGAL::Triangulation_data_structure_2<Vb,Fb>`
  `CGAL::Segment_Delaunay_graph_vertex_base_2<St,Vb>`
  `CGAL::Segment_Delaunay_graph_hierarchy_vertex_base_2<Vbb>`

## Operations
Vertex_handle | up ()
| Returns a handle to the corresponding vertex of the next level segment Delaunay graph.
Vertex_handle | down ()
| Returns a handle to the corresponding vertex of the previous level segment Delaunay graph.
void | set_up (Vertex_handle u)
| Sets the handle for the vertex of the next level segment Delaunay graph.
void | set_down (Vertex_handle d)
| Sets the handle for the vertex of the previous level segment Delaunay graph.

## Member Function Documentation

## ◆ down()

Vertex_handle SegmentDelaunayGraphHierarchyVertexBase_2::down | ( |  | ) |

Returns a handle to the corresponding vertex of the previous level segment Delaunay graph.

If such a vertex does not exist `Vertex_handle()` is returned.

## ◆ up()

Vertex_handle SegmentDelaunayGraphHierarchyVertexBase_2::up | ( |  | ) |

Returns a handle to the corresponding vertex of the next level segment Delaunay graph.

If such a vertex does not exist `Vertex_handle()` is returned.